[@rxap/material-table-system](../wiki/globals) / ImageCellComponent

# Class: ImageCellComponent

Defined in: [packages/angular/material/table-system/src/lib/cells/image-cell/image-cell.component.ts:28](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/material/table-system/src/lib/cells/image-cell/image-cell.component.ts#L28)

## Constructors

### new ImageCellComponent()

> **new ImageCellComponent**(): [`ImageCellComponent`](../wiki/Class.ImageCellComponent)

#### Returns

[`ImageCellComponent`](../wiki/Class.ImageCellComponent)

## Properties

### position

> **position**: `string` = `BackgroundPositionOptions.CENTER_CENTER`

Defined in: [packages/angular/material/table-system/src/lib/cells/image-cell/image-cell.component.ts:40](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/material/table-system/src/lib/cells/image-cell/image-cell.component.ts#L40)

***

### preset?

> `optional` **preset**: `string`

Defined in: [packages/angular/material/table-system/src/lib/cells/image-cell/image-cell.component.ts:31](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/material/table-system/src/lib/cells/image-cell/image-cell.component.ts#L31)

***

### repeat

> **repeat**: `BackgroundRepeat` = `BackgroundRepeatOptions.NO_REPEAT`

Defined in: [packages/angular/material/table-system/src/lib/cells/image-cell/image-cell.component.ts:37](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/material/table-system/src/lib/cells/image-cell/image-cell.component.ts#L37)

***

### size

> **size**: `string` = `BackgroundSizeOptions.COVER`

Defined in: [packages/angular/material/table-system/src/lib/cells/image-cell/image-cell.component.ts:34](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/material/table-system/src/lib/cells/image-cell/image-cell.component.ts#L34)

***

### value

> **value**: `null` \| `string` = `null`

Defined in: [packages/angular/material/table-system/src/lib/cells/image-cell/image-cell.component.ts:43](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/material/table-system/src/lib/cells/image-cell/image-cell.component.ts#L43)
